// (c) 2005-2006 Criterion Software Limited and its licensors. All Rights Reserved
#include <stdio.h>

typedef __int32 intptr_t;

void main(int , char **argv)
{
	int i = reinterpret_cast<int> ( reinterpret_cast<intptr_t> (argv) );
	printf("Hello World %d\n",i);
}
